Package org.eclipse.net4j.db

# Enum Class DBType

java.lang.Object
java.lang.Enum<DBType>
org.eclipse.net4j.db.DBType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBType>`, `Constable`

public enum DBType extends Enum<DBType>
Enumerates the SQL data types that are compatible with the DB framework.

Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BIGINT`
`BINARY`
`BIT`
`BLOB`
`BOOLEAN`
`CHAR`
`CLOB`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`INTEGER`
`LONGVARBINARY`
`LONGVARCHAR`
`NUMERIC`
`REAL`
`SMALLINT`
`TIME`
`TIMESTAMP`
`TINYINT`
`VARBINARY`
`VARCHAR`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`String`
`getKeyword()`
`static DBType`
`getTypeByCode(int code)`
`static DBType`
`getTypeByKeyword(String keyword)`
`void`
`readValue(org.eclipse.net4j.util.io.ExtendedDataInput in, PreparedStatement statement, int column, boolean canBeNull)`
Reads a value from the given `input` and puts it into the given `statement`.
`abstract Object`
`readValueWithResult(org.eclipse.net4j.util.io.ExtendedDataInput in, PreparedStatement statement, int column, boolean canBeNull)`
Reads a value from the given `input` and puts it into the given `statement`.
`String`
`toString()`
`static DBType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DBType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`void`
`writeValue(org.eclipse.net4j.util.io.ExtendedDataOutput out, ResultSet resultSet, int column, boolean canBeNull)`
Writes a value that is taken out of the given `result set` to the given `output`.
`abstract Object`
`writeValueWithResult(org.eclipse.net4j.util.io.ExtendedDataOutput out, ResultSet resultSet, int column, boolean canBeNull)`
Writes a value that is taken out of the given `result set` to the given `output`.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final DBType BOOLEAN

### BIT

public static final DBType BIT

### TINYINT

public static final DBType TINYINT

### SMALLINT

public static final DBType SMALLINT

### INTEGER

public static final DBType INTEGER

### BIGINT

public static final DBType BIGINT

### FLOAT

public static final DBType FLOAT

### REAL

public static final DBType REAL

### DOUBLE

public static final DBType DOUBLE

### NUMERIC

public static final DBType NUMERIC

### DECIMAL

public static final DBType DECIMAL

### CHAR

public static final DBType CHAR

### VARCHAR

public static final DBType VARCHAR

### LONGVARCHAR

public static final DBType LONGVARCHAR

### CLOB

public static final DBType CLOB

### DATE

public static final DBType DATE

### TIME

public static final DBType TIME

### TIMESTAMP

public static final DBType TIMESTAMP

### BINARY

public static final DBType BINARY

### VARBINARY

public static final DBType VARBINARY

### LONGVARBINARY

public static final DBType LONGVARBINARY

### BLOB

public static final DBType BLOB

## Method Details

### values

public static DBType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DBType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public int getCode()

### getKeyword

public String getKeyword()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DBType>`

### writeValue

public void writeValue(org.eclipse.net4j.util.io.ExtendedDataOutput out, ResultSet resultSet, int column, boolean canBeNull) throws SQLException, IOException
Writes a value that is taken out of the given `result set` to the given `output`.

Throws:
  `SQLException`
  `IOException`
Since:
  3.0

### writeValueWithResult

public abstract Object writeValueWithResult(org.eclipse.net4j.util.io.ExtendedDataOutput out, ResultSet resultSet, int column, boolean canBeNull) throws SQLException, IOException
Writes a value that is taken out of the given `result set` to the given `output`.

Throws:
  `SQLException`
  `IOException`
Since:
  4.1

### readValue

public void readValue(org.eclipse.net4j.util.io.ExtendedDataInput in, PreparedStatement statement, int column, boolean canBeNull) throws SQLException, IOException
Reads a value from the given `input` and puts it into the given `statement`.

Throws:
  `SQLException`
  `IOException`
Since:
  3.0

### readValueWithResult

public abstract Object readValueWithResult(org.eclipse.net4j.util.io.ExtendedDataInput in, PreparedStatement statement, int column, boolean canBeNull) throws SQLException, IOException
Reads a value from the given `input` and puts it into the given `statement`.

Throws:
  `SQLException`
  `IOException`
Since:
  4.1

### getTypeByKeyword

public static DBType getTypeByKeyword(String keyword)

Since:
  3.0

### getTypeByCode

public static DBType getTypeByCode(int code)

Since:
  4.2